package com.huimv.production.controller;

import com.huimv.production.domain.MIncubatorHeatEntity;
import com.huimv.production.result.Result;
import com.huimv.production.service.MIncubatorHeatService;
import com.huimv.production.service.MSowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.production.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/9 0009 17:44
 **/
@RestController

@RequestMapping("/incubatorHeat")
public class MIncubatorHeatController {

    @Autowired
    private MIncubatorHeatService childcareService;

    @RequestMapping("/add")
    public Result add(MIncubatorHeatEntity childcareEntity){
        return childcareService.add(childcareEntity);
    }

    @RequestMapping("/remove")
    public Result add(Integer[] ids){
        return childcareService.remove(ids);
    }

    @RequestMapping("/update")
    public Result update(MIncubatorHeatEntity childcareEntity){
        return childcareService.update(childcareEntity);
    }

    @RequestMapping("/findAll")
    public Result findAll(String name , Integer pageNum , Integer pageSize){
        return childcareService.findAll(name,pageNum,pageSize);
    }


}
