package com.huimv.production.controller;

import com.huimv.production.domain.MSmartWeight;
import com.huimv.production.result.Result;
import com.huimv.production.service.MSmartWeightService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/smartWeight")
public class MSmartWeightController {

	@Autowired
	private MSmartWeightService service;

	@RequestMapping("/add")
	public Result add(MSmartWeight childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MSmartWeight childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
    public Result findAll(String name ,Integer pageNum , Integer pageSize){
        return service.findAll(name,pageNum,pageSize);
    }

}
