package com.huimv.production.repo;

import com.huimv.production.domain.IndexBoardEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface IndexBoardEntityRepository extends JpaRepository<IndexBoardEntity, Integer>, JpaSpecificationExecutor<IndexBoardEntity> {

    @Query(nativeQuery = true ,value = "select * from index_board where name like %?1% limit ?2 , ?3")
    List<IndexBoardEntity> findAll(String name , Integer startPage , Integer pageSize);



}