package com.huimv.production.repo;

import com.huimv.production.domain.IndexParameterEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface IndexParameterEntityRepository extends JpaRepository<IndexParameterEntity, Integer>, JpaSpecificationExecutor<IndexParameterEntity> {


    @Query(nativeQuery = true ,value = "select * from index_parameter where name like %?1% limit ?2 , ?3")
    List<IndexParameterEntity> findAll(String name , Integer startPage , Integer pageSize);


}