package com.huimv.production.repo;

import com.huimv.production.domain.MIncubatorHeatEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MIncubatorHeatEntityRepo extends JpaRepository<MIncubatorHeatEntity, Integer>, JpaSpecificationExecutor<MIncubatorHeatEntity> {

    List findAllByRoomCode(String roomCode);

    @Query(nativeQuery = true ,value = "select * from m_incubator_heat where room_code like %?1% limit ?2 , ?3")
    List<MIncubatorHeatEntity> findAll(String name ,Integer startPage , Integer pageSize);

}