package com.huimv.production.repo;

import com.huimv.production.domain.MPigletLiveEntity;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MPigletLiveEntityRepo extends JpaRepository<MPigletLiveEntity, Integer>, JpaSpecificationExecutor<MPigletLiveEntity> {
    @Query(nativeQuery = true ,value = "select * from m_piglet_live where year like %?1% limit ?2 , ?3")
    List<MPigletLiveEntity> findAll(String name , Integer startPage , Integer pageSize);
}