package com.huimv.production.repo;

import com.huimv.production.domain.MPigletLiveRatioEntity;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MPigletLiveRatioEntityRepo extends JpaRepository<MPigletLiveRatioEntity, Integer>, JpaSpecificationExecutor<MPigletLiveRatioEntity> {
    @Query(nativeQuery = true ,value = "select * from m_piglet_live_ratio where year like %?1% limit ?2 , ?3")
    List<MPigletLiveRatioEntity> findAll(String name , Integer startPage , Integer pageSize);
}