package com.huimv.production.repo;

import com.huimv.production.domain.MPlanImmunityEntity;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MPlanImmunityEntityRepo extends JpaRepository<MPlanImmunityEntity, Integer>, JpaSpecificationExecutor<MPlanImmunityEntity> {

    @Query(nativeQuery = true ,value = "select * from m_plan_immunity where location like %?1% limit ?2 , ?3")
    List<MPlanImmunityEntity> findAll(String name , Integer startPage , Integer pageSize);


    List findAllByState(Integer state);

}