package com.huimv.production.repo;

import com.huimv.production.domain.MSaleYear;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSaleYearRepository extends JpaRepository<MSaleYear, Integer>,JpaSpecificationExecutor<MSaleYear>{

    @Query(nativeQuery = true ,value = "select * from m_sale_year where year like %?1% limit ?2 , ?3")
    List<MSaleYear> findAll(String name , Integer startPage , Integer pageSize);
}
