package com.huimv.production.repo;

import com.huimv.production.domain.MSowAblactationEntity;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowAblactationEntityRepo extends JpaRepository<MSowAblactationEntity, Integer>, JpaSpecificationExecutor<MSowAblactationEntity> {

    List<MSowAblactationEntity> findAllByState(int i);

    @Query(nativeQuery = true ,value = "select * from m_sow_ablactation where location like %?1% limit ?2 , ?3")
    List<MSowAblactationEntity> findAll(String name , Integer startPage , Integer pageSize);
}