package com.huimv.production.repo;

import com.huimv.production.domain.MSowFeed;
import com.huimv.production.domain.MSowHeat;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowHeatRepository extends JpaRepository<MSowHeat, Integer>,JpaSpecificationExecutor<MSowHeat>{

    List findAllBySowCode(String sowCode);

    @Query(nativeQuery = true ,value = "select * from m_sow_heat where sow_code like %?1% limit ?2 , ?3")
    List<MSowHeat> findAll(String name , Integer startPage , Integer pageSize);

}
