package com.huimv.production.repo;

import com.huimv.production.domain.MSowFeed;
import com.huimv.production.domain.MSowOestrusEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowOestrusEntityRepo extends JpaRepository<MSowOestrusEntity, Integer>, JpaSpecificationExecutor<MSowOestrusEntity> {

    List<MSowOestrusEntity> findAllByState(int i);

    @Query(nativeQuery = true ,value = "select * from m_sow_oestrus where location like %?1% limit ?2 , ?3")
    List<MSowOestrusEntity> findAll(String name , Integer startPage , Integer pageSize);
}