package com.huimv.production.repo;

import com.huimv.production.domain.MSowFeed;
import com.huimv.production.domain.MSowPredeliveryEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowPredeliveryEntityRepo extends JpaRepository<MSowPredeliveryEntity, Integer>, JpaSpecificationExecutor<MSowPredeliveryEntity> {

    List<MSowPredeliveryEntity> findAllByState(int i);

    @Query(nativeQuery = true ,value = "select * from m_sow_predelivery where location like %?1% limit ?2 , ?3")
    List<MSowPredeliveryEntity> findAll(String name , Integer startPage , Integer pageSize);
}