package com.huimv.production.repo;

import com.huimv.production.domain.MSowFeed;
import com.huimv.production.domain.MSowWater;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowWaterRepository extends JpaRepository<MSowWater, Integer>,JpaSpecificationExecutor<MSowWater>{

    List findAllByLocationId(Integer locationId);

    @Query(nativeQuery = true ,value = "select * from m_sow_water where sow_code like %?1% limit ?2 , ?3")
    List<MSowWater> findAll(String name , Integer startPage , Integer pageSize);
}
