package com.huimv.production.repo;

import com.huimv.production.domain.MFeedDetailEntity;
import com.huimv.production.domain.SowCount;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface SowCountRepository extends JpaRepository<SowCount, Integer>,JpaSpecificationExecutor<SowCount>{

    @Query(nativeQuery = true ,value = "select * from sow_count where date like %?1% limit ?2 , ?3")
    List<SowCount> findAll(String name , Integer startPage , Integer pageSize);
}
