package com.huimv.video.controller;


import com.huimv.video.domain.MobileAttention;
import com.huimv.video.result.Result;
import com.huimv.video.service.MobileAttentionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/mobileAttention")
public class MobileAttentionController {

	@Autowired
	private MobileAttentionService service;

	@RequestMapping("/add")
	public Result add(MobileAttention childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MobileAttention childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(){ return service.findAll(); }

	@RequestMapping("/findAllById")
	public Result findAllById(Integer id){ return service.findAllById(id); }

	@RequestMapping("/findAllByAttention")
	public Result findAllByAttention(Integer userId){ return service.findAllByAttention(userId); }

	@RequestMapping("/updateAttention")
	private Result updateAttention(Integer userId,Integer areaId){

		return 	service.updateAttention(userId,areaId);

	}

}
