package com.huimv.environment.controller;


import com.huimv.common.result.Result;
import com.huimv.environment.service.IEnvironmentControlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@RestController
@RequestMapping(value = "/environmentControl")
public class EnvironmentControlController {
    @Autowired
    private IEnvironmentControlService envControlService;

    @RequestMapping(value = "/getFarm",method = RequestMethod.GET)
    public Result getPigpen(@RequestParam(value = "farmId") Integer farmId){
        return envControlService.getPigpenByFarm(farmId);
    }

    @RequestMapping(value = "/getLastEnvData",method = RequestMethod.GET)
    public Result getLastEnvData(@RequestParam(value = "lqId") Integer lqId){
        return envControlService.getLastEnvData(lqId);
    }

    @RequestMapping(value = "/getAllFarm")
    public Result getAllFarm(){
        return envControlService.getAllFarm();
    }


    @RequestMapping(value = "/getAllBylqid")
    public Result getAllBylaid(String lqid){
        return envControlService.getAllBylqid(lqid);
    }


    @RequestMapping(value = "/warningInfor")
    public Result warningInfor(){
        return envControlService.warningInfor();
    }

    @RequestMapping(value = "/findByZSID")
    public Result findByZSID(){
        return envControlService.findByZSID();
    }


}
