package com.huimv.production.controller;

import com.huimv.production.domain.IndexAllEntity;
import com.huimv.production.result.Result;
import com.huimv.production.service.IndexAllService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.production.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/5 0005 17:43
 **/
@RestController
@RequestMapping("/all")
public class IndexAllController {
    @Autowired
    private IndexAllService allService;

    @RequestMapping("/add")
    public Result add(IndexAllEntity allEntity){
        return allService.add(allEntity);
    }

    @RequestMapping("/update")
    public Result update(IndexAllEntity allEntity){
        return allService.update(allEntity);
    }

   /* @RequestMapping("/findAll")
    public Result findAll(){
        return allService.findAll();
    }*/

    @RequestMapping("/findAll")
    public Result findAll(String name , Integer pageNum , Integer pageSize){
        return allService.findAll(name,pageNum,pageSize);
    }

}
