package com.huimv.production.controller;

import com.huimv.production.domain.MSowHeat;
import com.huimv.production.result.Result;
import com.huimv.production.service.MSowHeatService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/sowHeat")
public class MSowHeatController {

	@Autowired
	private MSowHeatService service;

	@RequestMapping("/add")
	public Result add(MSowHeat childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MSowHeat childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(String name ,Integer pageNum , Integer pageSize){
		return service.findAll(name,pageNum,pageSize);
	}

	@RequestMapping("/findAllBy")
	public Result findAllBy(String sowId){ return service.findAllBy(sowId); }

}
