package com.huimv.production.repo;

import com.huimv.production.domain.MAnimalHeatWarningEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MAnimalHeatWarningEntityRepo extends JpaRepository<MAnimalHeatWarningEntity, Integer>, JpaSpecificationExecutor<MAnimalHeatWarningEntity> {

    @Query(nativeQuery = true ,value = "select * from m_animal_heat_warning where location like %?1% limit ?2 , ?3")
    List<MAnimalHeatWarningEntity> findAll(String name , Integer startPage , Integer pageSize);



}