package com.huimv.production.repo;

import com.huimv.production.domain.MElectricQuantity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MElectricQuantityRepository extends JpaRepository<MElectricQuantity, Integer>,JpaSpecificationExecutor<MElectricQuantity>{

    List findAllByLocationId(Integer locationId);


    @Query(nativeQuery = true ,value = "select * from m_electric_quantity where electric_quantity like %?1% limit ?2 , ?3")
    List<MElectricQuantity> findAll(String name ,Integer startPage , Integer pageSize);



}
