package com.huimv.production.repo;

import com.huimv.production.domain.MPigPigpenHumidity;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MPigPigpenHumidityRepository extends JpaRepository<MPigPigpenHumidity, Integer>,JpaSpecificationExecutor<MPigPigpenHumidity>{

    List findAllByLocationId(Integer locationId);

    @Query(nativeQuery = true ,value = "select * from m_pig_pigpen_humidity where pig_code like %?1% limit ?2 , ?3")
    List<MPigPigpenHumidity> findAll(String name , Integer startPage , Integer pageSize);
}
