package com.huimv.production.repo;

import com.huimv.production.domain.MPigletHealthCountEntity;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MPigletHealthCountEntityRepo extends JpaRepository<MPigletHealthCountEntity, Integer>, JpaSpecificationExecutor<MPigletHealthCountEntity> {

    Object findAllBySowCode(String sowCode);

    @Query(nativeQuery = true ,value = "select * from m_piglet_health_count where sow_code like %?1% limit ?2 , ?3")
    List<MPigletHealthCountEntity> findAll(String name , Integer startPage , Integer pageSize);
}