package com.huimv.production.repo;

import com.huimv.production.domain.MSaleDetail;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSaleDetailRepository extends JpaRepository<MSaleDetail, Integer>,JpaSpecificationExecutor<MSaleDetail>{

    @Query(nativeQuery = true ,value = "select * from m_sale_detail where sale_code like %?1% limit ?2 , ?3")
    List<MSaleDetail> findAll(String name , Integer startPage , Integer pageSize);
}
