package com.huimv.production.repo;

import com.huimv.production.domain.MSaleMonth;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSaleMonthRepository extends JpaRepository<MSaleMonth, Integer>,JpaSpecificationExecutor<MSaleMonth>{

    @Query(nativeQuery = true ,value = "select * from m_sale_month where month like %?1% limit ?2 , ?3")
    List<MSaleMonth> findAll(String name , Integer startPage , Integer pageSize);
}
