package com.huimv.production.repo;

import com.huimv.production.domain.MSowCopulationEntity;
import com.huimv.production.domain.MSowFeed;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowCopulationEntityRepo extends JpaRepository<MSowCopulationEntity, Integer>, JpaSpecificationExecutor<MSowCopulationEntity> {

    List findAllBySowCode(String sowCode);

    @Query(nativeQuery = true ,value = "select * from m_sow_copulation where sow_code like %?1% limit ?2 , ?3")
    List<MSowCopulationEntity> findAll(String name , Integer startPage , Integer pageSize);

}