package com.huimv.production.repo;

import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowEntityRepo extends JpaRepository<MSowEntity, Integer>, JpaSpecificationExecutor<MSowEntity> {

    Object findBySowCode(String sowCode);

    @Query(nativeQuery = true ,value = "select * from m_sow where sow_code like %?1% limit ?2 , ?3")
    List<MSowEntity> findAll(String name ,Integer startPage , Integer pageSize);


}