package com.huimv.production.repo;

import com.huimv.production.domain.MSowFeed;
import com.huimv.production.domain.MSowNonpregnantEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowNonpregnantEntityRepo extends JpaRepository<MSowNonpregnantEntity, Integer>, JpaSpecificationExecutor<MSowNonpregnantEntity> {

    List<MSowNonpregnantEntity> findAllByState(int i);

    @Query(nativeQuery = true ,value = "select * from m_sow_nonpregnant where location like %?1% limit ?2 , ?3")
    List<MSowNonpregnantEntity> findAll(String name , Integer startPage , Integer pageSize);
}