package com.huimv.production.repo;

import com.huimv.production.domain.MSowFeed;
import com.huimv.production.domain.MSowPregnancyTestEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowPregnancyTestEntityRepo extends JpaRepository<MSowPregnancyTestEntity, Integer>, JpaSpecificationExecutor<MSowPregnancyTestEntity> {
    List findAllBySowCode(String sowCode);

    @Query(nativeQuery = true ,value = "select * from m_sow_pregnancy_test where sow_code like %?1% or result like %?1% limit ?2 , ?3")
    List<MSowPregnancyTestEntity> findAll(String name , Integer startPage , Integer pageSize);

}