package com.huimv.production.repo;

import com.huimv.production.domain.SysAccount;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface SysAccountRepository extends JpaRepository<SysAccount, Integer>,JpaSpecificationExecutor<SysAccount>{
	
	@Query(nativeQuery = true ,value = "select * from sys_account where account_name like %?1% limit ?2 , ?3")
    List<SysAccount> findAll(String name, Integer startPage, Integer pageSize);
}
